GuideLab API

List Whats App Template Event Overrides

List the lab's automatic WhatsApp event template selections and effective platform fallbacks.

GET
/whatsapp-templates/event-overrides

List the lab's automatic WhatsApp event template selections and effective platform fallbacks.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/whatsapp-templates/event-overrides"
{  "data": [    {      "eventKey": "order_received_lab",      "selectedTemplateId": "string",      "selectedTemplate": {        "id": "string",        "displayName": "string",        "language": "string"      },      "effectiveSource": "override",      "fallbackReason": "not_configured",      "requiredVariables": {        "property1": "string",        "property2": "string"      },      "accountState": "unbound"    }  ]}
Empty